Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public static interface

# GoogleMap.OnMyLocationButtonClickListener

com.google.android.gms.maps.GoogleMap.OnMyLocationButtonClickListener

## Class Overview

Callback interface for when the My Location button is clicked.

## Summary

Public Methods
abstract boolean | onMyLocationButtonClick() Called when the my location button is clicked.

## Public Methods

#### public abstract boolean onMyLocationButtonClick ()

Called when the my location button is clicked.

Use `LocationClient` if you need to obtain the user's current location.

##### Returns

- `true` if the listener has consumed the event (i.e., the default behavior should not occur), `false` otherwise (i.e., the default behavior should occur). The default behavior is for the camera move such that it is centered on the user location.